%This script saves power and does comparisons for each unique elec contact
%list = ps2_getLists('ecog_ps2');
%subjList= list(:,1);%
%sessList = list(:,2);

%% set subject and session
[subjList]=ps2_ecog_subjPow_getSubjList;
%% load config
powConfigNum = 1;
%compar = 'fb_RPE_LRN';%'fb_pairWise';%'fb_posNeg';
compar = 'fb_RPE_train';%'fb_LR';%'fb_posNeg';
fRange = [70 200];
%% get dirts and subjInfo
dirs = ps2_dirs;
subjInfo = ps2_subjInfo;

%% start counter
i = 0;

%% loop through subj
for s = 1:length(subjList)
    subj = subjList(s).subj;

    lockDir = fullfile(dirs.lockDir,['saveSubjPower' compar]);
    cd_mkdir(lockDir);

    [elecListStruct] =  ps2_ecog_subjPow_getElecList(subjList(s).subj);
    
    for e = 1:length(elecListStruct)
        elecListStruct(e).eNames
        i = i+1;
        
        cd (lockDir)
        lockfile = sprintf('%s_%s_%s',subj,elecListStruct(e).eNames,'LOCK');
        donefile = sprintf('%s_%s_%s',subj,elecListStruct(e).eNames,'DONE');
        errorfile = sprintf('%s_%s_%s',subj,elecListStruct(e).eNames,'ERROR');
        if ~exist(lockfile,'file')
            %make lockfile
            fid = fopen(lockfile,'w');fclose('all');
                   
            % run analysis
            try
              %ps2_ecog_subjPow_getSubjPow(subjList(s).subj,elecListStruct(e).eNames,powConfigNum);
              ps2_ecog_subjPow_doComp(subjList(s).subj,elecListStruct(e).eNames,compar,powConfigNum,fRange);
              
              errorFlag = 0;
            catch err
              errorFlag = 1;
              %make errorfile
              cd(lockDir)
              save(errorfile,'err');fclose('all');
            end

            %make done file
            if errorFlag == 0
                cd(lockDir)
                fid = fopen(donefile,'w');fclose('all');
            end
        else
                continue
        end
    end
end